#page {
    max-width: 1200px;
    margin: 0 auto;
    position: relative;
} 

h1{
     font-size: 2.8em;  
}

h2{  
    font-size: 1.6em;  
}

p{
    padding: 5px;
}

a {
    color: blue;
}
a:visited {
    color: purple;
}

header p{
    padding-left: 90%;
    color: white;
}
header {
    height: 200px;
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset;
    position:relative;
    background: linear-gradient(lightgray, white);


}


header div.title {
    position: absolute;
    width: 42%;
    top: 50px;
    left: 5%; 
}
header a.logo {
    
    position: absolute;
    display: block;
    width: 300px;
    height: 190px;
    background: url(../img/litlogo400.jpg) no-repeat 0 0;
    background-size: contain;
    top:20px;
    left: 50px;
}
header div.title h1 {
    line-height: 1em;
    margin: 0 0 30px 0;
    color: purple;
}
/* Navigation*/

nav {
  
    background-color:rgba (0,0,0, .65);
    position:absolute;
    top: 110px;
    left: 0px;
    padding: 50px 0 0 0;
    width: 100%;
    
}

nav::after {
    content:'';
    display:block;
    clear:both;
}

nav ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
}


nav ul li a{
    display: inline-block;
    color: #9005ff;
    padding: 10px 20px;
    text-decoration: none;
    width: 100px;
    position: relative;
}

nav ul li:hover {
    background-color: #ff8700;
}
nav ul li:hover > ul{
    display: block;
}
nav ul li a:visited {
    color:#9005ff;
}
nav ul li a:hover {
    background-color: #ff8700;
}

nav ul ul {
    position: absolute;
    top: 100%;
    background: linear-gradient(lightgrey, white);
    display: none;
}

nav ul ul li {
    position: relative; 
}

nav ul ul ul {
    left: 100%;
    top: 0px;
}

/* Top Level */

nav >ul {
    padding-left: 800px;
}

nav > ul > li {
    float:left;
}
nav > ul >li > a {
    width: auto;
    padding: 10px 20px 15px 20px;
}
nav > ul > li > input{
    width:  150px;
    height: 5px;
    float:left;
    padding-left: 0px;
}


div.container {
    margin-left: 20px
}
section {
    padding: 0 30px;
}
section::after {
    content:'';
    display:block;
    clear: both;
}

/* Home Page */

section.main {
    margin-top: 20px;
    margin-bottom: 30px;
    padding: 0;

}

section.main h1{
    text-align: center;
    color: rebeccapurple;
}
section.usual aside a.btn{
    width: 30%;
    height: 400px;
    color: purple;
    font-size: 1.5em;
    text-decoration: none;
    background: linear-gradient(white, lightgray);
    box-sizing:border-box;
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset;
    border-width: 40px;
    padding: 4px 15px;
    margin-left: 10px;
    margin-top: 20px;
    float:left;
    text-align: center;
    padding-top: 180px;
}

section.code aside a.btn{
    width:45%;
    height: 400px;
    font-size: 1.5em;
    text-decoration: none;
    background: linear-gradient(aquablue, white);
    box-sizing:border-box;
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset;
    border-width: 40px;
    padding: 4px 15px;
    margin-top: 30px;
    margin-left: 10px;
    float:left;
    text-align: center;
    padding-top: 180px;
    font-family: LetsDoMathsFont;
}

section.main .boxstyle{
    box-sizing:border-box;
    border: 10px linear-gradient(grey, white);
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset; 
    float:left;
    padding: 20px;
    margin-left: 80px;
    margin-right: 30px;
    margin-bottom: 20px;
    
}
section.main h2{
text-align: left;
}

section.main .boxstyle2{
    width:50%;
    box-sizing:border-box;
    border: 10px linear-gradient(grey, black);
    margin-left: 250px;
    margin-right: 10px;
    margin-bottom: 20px;
    
}

.examples{
    width: 50%;
    height: 400px;
    color: purple;
    font-size: 1.5em;
    box-sizing:border-box;
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset;
    border-width: 40px;
    padding-top: 50px;
    margin-left: 10px;
    float:center;
    text-align: center;
    padding-top: 180px;
}
section.timeline {
    
    width: 90%;
    height: 180px;
    margin-left: 40px;
    background: linear-gradient(red, white);
    margin-top: 20px;
    margin-bottom: 20px;
    padding-top: 20px;
    color: white;
    text-align: center;
    box-sizing:border-box;
    border: 10px linear-gradient(grey, white);
    box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 20px rgba(0, 0, 0, 0.1) inset;
    font-family: LetsDoMathsFont;
}

section.mainNews1 {
    margin-top: 20px;
    margin-bottom: 30px;
    padding: 0;

}

section.mainNews1 aside {
    width: 45%;
    float: left;
    text-align: left;
    line-height: 1.5;
    margin-right: 50px;
    background: no-repeat center top;
    background-size: 75px 75px;
    padding: 20px;
    box-sizing:border-box;
    border: 1px solid #ccc;

}

section.mainNews1 aside img{
    margin-left: 60px;
    
}
section.mainNews1 h2{
    font-size: 2em;
}
section.mainNews1 p{
    
    font-size: 1em;
    
}

section.main aside iframe{
    width:100%;
    margin-left:0px;
}

section.mainNews1::after {
    display:inline;
    clear: both;
}

section.mainTwo1 {
    margin-top: 30px;
    margin-bottom: 30px;
    padding: 0;

}

section.mainTwo1 aside {
    width: 45%;
    float: left;
    text-align: left;
    line-height: 1.5;
    margin-top: 15px;
    padding: 20px;
    box-sizing:border-box;
    border: 1px solid #ccc;
}

section.mainTwo1 aside img {
    float:left;
    padding-right: 10px;
}


form {
    padding-top: 20px;
    text-align:left;
    margin-left: 20px;
    margin-right: 20px;
    font-size: 1.2em;
    font-family: LetsDoMathsFont;
    
}
input {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    font-size: 1em;
    font-family: LetsDoMathsFont;
}

input:focus{
    border: 4px solid #ff8700;
}

@media screen and (max-width: 1060px){
    
    h1 {
        font-size: 2.4em;
    }
    
    /* header */
    
   header p{
        padding-left: 90%;
        color: white;
    }
    
    section.main aside {
        width: 100%;
        margin-bottom: 20px;
        margin-right:20px;
    }
   
    nav >ul {
        
        padding-left: 650px;
        font-size: 15px;
    }
  
    nav > ul > li > input{
    width:  100px;
    height: 5px;
    float:left;
    padding-left: 0px;
    }
    }


@media screen and (max-width: 980px) {
     
    header p{
    padding-left: 90%;
    color: white;
    }
    h1 {
        font-size: 2em;
        
    }
    section.timeline {
    width: 90%;
    margin-left: 40px;
    font-size: 2em;
    }
    }
    
@media screen and (max-width: 930px) {
    
  nav >ul {
        
        padding-left: 450px;
        font-size: 15px;
    }
        section.mainTwo aside{
        width: 90%;
        margin: 15px;
        padding: 20px;    

    }

    section.mainThree aside {
        width: 90%;
        padding:5px;

    
    }

@media screen and (max-width: 750px){
    
    header p{
    padding-left: 80%;
    color: white;
    }
    h1 {
        font-size: 1.8em;
       
    }
    h2 {
        font-size: 1.4em;   
    }
    h3 {
        font-size: 1.1em;  
    }
    p{
        .8em;
    }
   
    
    header {
    height: 200px;
    
    }
    
    header a.logo {
        width: 145px;
        height: 160px;
    }
    
    nav {
        top: 85px;
        padding: 80px 0 0 0;
        width: 100%;
    }
   
    nav > ul {
        padding-left: 250px;
    }

    section.main {
        margin-top: 40px;
        margin-bottom: 10px;
        margin-right: 30px
    }
    
    section.timeline {
    
        width: 90%;
        margin-left: 40px;
        font-size: 2em;
    }
    section.mainNews1 aside iframe {
        width:500px;
        margin-left: 40px;
    }

    }
    
@media screen and (max-width: 650px) {
        
    header p{
        padding-left: 80%;
        color: white;
    }
    nav >ul {   
        padding-left: 150px;
        font-size: 15px;
    }
    header a.logo {
            width: 30%;
            top: 80px;
            left: 50px;
    }
    
    section.timeline {
    
    width: 80%;
    margin-left: 40px;
    font-size: 1em;
    }
    }


@media screen and (max-width: 540px) {
    header p{
    padding-left: 75%;
    color: white;
    }
    h1 {
        font-size: 1.8em;
    }
    h3 {
        margin-bottom: 0px;
    }
    a.btn {
        font-size: .9em;
    }
    header {
        height: 200px;

    
    }
    header a.logo {
        width: 30%;
        height: 150px;
        left: 20px;
        top: 70px;
     
    }
 
    nav {
        position: static;
        width: auto;
        padding: 20px 15px;
        background-color: #4b0a0c;
    }
    
    nav ul, 
    nav ul ul,
    nav ul ul ul {
        display: block;
        position: static;
    }
    nav > ul {
        padding: 0;
    }
    nav > ul > li {
        float: none;
        margin-top: 25px;
    }
    
    nav ul li:hover {
        background: none;
    }
    nav ul li a {
        width: auto;
        display: block;
        margin: 8px 10px;
        padding: 8px 15px;
        border: 1px solid rgba (255,255,255,.25);  
    }
    
    nav ul li a.hover {
        background-color: rgba (255,255,255,.2);  
    }
    nav ul ul {
        background:none;     
    }
    nav ul ul li a {
      margin-left: 30px;  
    }
     nav ul ul ul li a {
      margin-left: 60px;  
    }
   
    
    
 
    /* Section Main*/
    
 
 section.main aside {
    width: 100%;
    padding:20px;
    }

  
    
    /* Footer*/
    
    footer div.content {
        display: block;
        margin-top: 15px;
    }
    
    footer div.content a {
        margin: 0 20px 0 0;
    }

}


@media screen and (max-width:380px) {
    header p{
        padding-left: 70%;
        color: white;
    }
    
    
    h1 {
        font-size: 1em;
    }
   
    header {
        height: 150px;
        width: 380px;
        background: #92b0c7;
        position:relative;
    }
    
    
    header a.logo {
        width: 30%;
        height: 150px;
        left: 20px;
        top: 70px; 
    }
    
   
    nav > ul {
        padding-left: 0px;
    }
    
    
    }

    

    

    
